Fix sponsor logo size for kde.org
Closed, ResolvedPublic

Description

Issue

The logo size has been the most visually distracting and inconsistent part of kde.org's design for a while.


Due to their size, logos feel like the primary part of page content, almost shouting about themselves. They are one of the reasons that our footer carries visual weight disproportionate for a static chrome, being on average 1/3 of the content for main pages.

The blocker for layout change is that we first need to talk to our sponsors to make sure they agree to the change.

Task

So I would like to propose that we finally do :)
There are 2 options that I suggest we propose:

  1. Reduce logo sizes, keep them in the footer in a row layout
  2. Remove logos from the footer and have them on a well-structured separate page. This is a common practice, even in KDE (1, 2)

It would also benefit the overall look if we could get Enioka to agree to a transparent logo to match the others.

Expected result

This would allow uncluttering the footer,


partially improving the overall impression that users get from our homepage.

Here's what our sponsors have to say:
"That looks way nicer." — Alan Pope, Canonical
"So much better!" — others, most likely ;)

Here is what other communities do:


(the footer does not attract attention, it's an additional navigation pattern, not a content dump)

(the logos are not even part of the website style, they proudly reside on a separate page)

IlyaBizyaev updated the task description. (Show Details)Oct 14 2019, 7:54 PM
IlyaBizyaev added a project: VDG.
IlyaBizyaev added subscribers: ognarb, faridb.
IlyaBizyaev removed a subscriber: faridb.

+1 from my side too ;)

IlyaBizyaev updated the task description. (Show Details)Dec 5 2019, 7:12 PM

Reconfirmed the approval from VDG people, would like to ping e.V. to start the discussion with patrons.

ngraham added a subscriber: lydia.Dec 5 2019, 10:42 PM

@lydia, is this something the Board could support?

lydia added a comment.Dec 7 2019, 9:10 AM

I'll put it on the agenda for the next call.

lydia added a comment.Dec 10 2019, 7:49 PM

Making them smaller is fine from the board side. Please keep them in the footer though.

ognarb moved this task from incoming to kde.org redesign on the Websites board.Jan 18 2020, 10:26 PM
IlyaBizyaev closed this task as Resolved.Feb 8 2020, 6:31 PM
IlyaBizyaev claimed this task.